### Variables
dir.log=${dir.log}
level=${level.log}

### set log levels - for more verbose logging change 'info' to 'debug' ###
log4j.rootLogger=${level}, stdout, file 
log4j.additivity.fr.epsi.edensia.core.UriLoggerFilter=false


# logger application
log4j.logger.application.security=ERROR
log4j.logger.fr.epsi.edensia=INFO

# logger spring
log4j.logger.org.springframework.transaction=ERROR
log4j.logger.org.springframework.orm=ERROR
log4j.logger.org.springframework.web.context.request.FacesRequestAttributes=ERROR
log4j.logger.org.springframework.orm.hibernate5.HibernateTransactionManager=ERROR

# logger spring security
org.springframework.security.level=ERROR

# logger hibernate
#log4j.logger.org.hibernate.stat=DEBUG
log4j.logger.org.hibernate=ERROR
log4j.logger.org.hibernate.SQL=ERROR
log4j.logger.org.hibernate.type=ERROR
log4j.logger.org.hibernate.cache=ERROR
log4j.logger.org.hibernate.jdbc=ERROR
log4j.logger.org.hibernate.transaction=ERROR

#tomcat
log4j.logger.org.apache.http=ERROR

# Definition de la sortie fichier fileLog
log4j.appender.fileLog=org.apache.log4j.RollingFileAppender
log4j.appender.fileLog.File=logs.log
log4j.appender.fileLog.MaxFileSize=100KB
log4j.appender.fileLog.MaxBackupIndex=1
log4j.appender.Info.MaxBackupIndex=1
log4j.appender.Info.layout=org.apache.log4j.PatternLayout
log4j.appender.Info.layout.ConversionPattern=[%d{dd-MMM-yyyy HH:mm:ss}] %-5p [%t] %x%30F:%4L - %m%n

